Package in.cdac.medinfo.csnotk.csnolib.disb.model

## Class ChemicalRepresentation

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.disb.model.ChemicalRepresentation

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ChemicalRepresentation
      extends java.lang.Object
      implements java.io.Serializable

  The persistent class for the chemical_representation database table.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChemicalRepresentation()` |
    `ChemicalRepresentation​(java.lang.String value)` |
    `ChemicalRepresentation​(java.lang.String value, java.lang.String chemRepresentationSystem)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ChemicalRepresentationSystem` | `getChemicalRepresentationSystem()` |
    `java.lang.String` | `getChemRepresentationSystem()` |
    `java.lang.String` | `getId()` |
    `SubstanceDetail` | `getSubstanceDetail()` |
    `java.lang.String` | `getValue()` |
    `void` | `setChemicalRepresentationSystem​(ChemicalRepresentationSystem chemicalRepresentationSystem)` |
    `void` | `setChemRepresentationSystem​(java.lang.String chemRepresentationSystem)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setSubstanceDetail​(SubstanceDetail substanceDetail)` |
    `void` | `setValue​(java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChemicalRepresentation

          public ChemicalRepresentation​(java.lang.String value)

    - #### ChemicalRepresentation

          public ChemicalRepresentation()

    - #### ChemicalRepresentation

          public ChemicalRepresentation​(java.lang.String value,
                                        java.lang.String chemRepresentationSystem)

  - ### Method Detail

    - #### getChemRepresentationSystem

          public java.lang.String getChemRepresentationSystem()

    - #### setChemRepresentationSystem

          public void setChemRepresentationSystem​(java.lang.String chemRepresentationSystem)

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId​(java.lang.String id)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue​(java.lang.String value)

    - #### getChemicalRepresentationSystem

          public ChemicalRepresentationSystem getChemicalRepresentationSystem()

    - #### setChemicalRepresentationSystem

          public void setChemicalRepresentationSystem​(ChemicalRepresentationSystem chemicalRepresentationSystem)

    - #### getSubstanceDetail

          public SubstanceDetail getSubstanceDetail()

    - #### setSubstanceDetail

          public void setSubstanceDetail​(SubstanceDetail substanceDetail)